Adjudicate a Claim
curl --request POST \
--url https://api.heyrafiki.space/v1/claims/{claim_id}/adjudications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"policy_reference": "<string>",
"policy_version": "<string>",
"reason_codes": [
"<string>"
],
"lines": [
{
"line_number": 2,
"amount": {
"billed": 2,
"allowed": 1,
"payer": 1,
"patient_responsibility": 1,
"adjustment": 1
},
"reason_codes": [
"<string>"
]
}
],
"evidence_refs": [
"<string>"
]
}
'import requests
url = "https://api.heyrafiki.space/v1/claims/{claim_id}/adjudications"
payload = {
"policy_reference": "<string>",
"policy_version": "<string>",
"reason_codes": ["<string>"],
"lines": [
{
"line_number": 2,
"amount": {
"billed": 2,
"allowed": 1,
"payer": 1,
"patient_responsibility": 1,
"adjustment": 1
},
"reason_codes": ["<string>"]
}
],
"evidence_refs": ["<string>"]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
policy_reference: '<string>',
policy_version: '<string>',
reason_codes: ['<string>'],
lines: [
{
line_number: 2,
amount: {billed: 2, allowed: 1, payer: 1, patient_responsibility: 1, adjustment: 1},
reason_codes: ['<string>']
}
],
evidence_refs: ['<string>']
})
};
fetch('https://api.heyrafiki.space/v1/claims/{claim_id}/adjudications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"provider_claim_reference": "<string>",
"submission_version": 2,
"amount": {
"currency": "<string>",
"billed": 1,
"approved": 1,
"settled": 1
},
"service_period": {
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z"
},
"lines": [
{
"line_number": 2,
"code_system": "<string>",
"code_system_version": "<string>",
"service_code": "<string>",
"units": 123,
"amount": 2
}
],
"information_requests": [
{
"id": "<string>",
"object": "<string>",
"reason_code": "<string>",
"requested_evidence_types": [
"<string>"
],
"due_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}
],
"adjudication": {
"id": "<string>",
"object": "<string>",
"version": 2,
"amount": {
"currency": "<string>",
"billed": 2,
"payer": 1,
"patient_responsibility": 1,
"adjustment": 1
},
"reason_codes": [
"<string>"
],
"policy": {
"reference": "<string>",
"version": "<string>"
},
"lines": [
{
"line_number": 2,
"amount": {
"billed": 2,
"allowed": 1,
"payer": 1,
"patient_responsibility": 1,
"adjustment": 1
},
"reason_codes": [
"<string>"
]
}
],
"decided_at": "2023-11-07T05:31:56Z"
},
"submitted_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Adjudicate a Claim
Records a line-level payer decision. Requires claims:adjudicate.
POST
/
claims
/
{claim_id}
/
adjudications
Adjudicate a Claim
Authorizations
bearerAuthapiKeyAuth
A sandbox or production secret key.
Headers
A caller-owned key for safely retrying one write.
Required string length:
8 - 255Path Parameters
A public Claim identifier.
Maximum string length:
100Pattern:
^clm_[A-Za-z0-9_-]+$Body
application/json
Required string length:
3 - 200Required string length:
1 - 100Required array length:
1 - 32 elementsPattern:
^[a-z0-9_]+$Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Maximum array length:
32Required string length:
3 - 200Pattern:
^[A-Za-z][A-Za-z0-9:_-]+$Response
The Claim was adjudicated
Maximum string length:
100Pattern:
^clm_[A-Za-z0-9_-]+$Allowed value:
"claim"Available options:
draft, submitted, queried, approved, partially_approved, denied, settled, reversed, cancelled Required range:
x >= 1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 30, 2026
⌘I

